package org.ajnb.controller;

import org.ajnb.service.RulesService;
import org.ajnb.vo.RulesVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("Rules")
public class RulesController {

    @Autowired
    private RulesService rulesService;

    @RequestMapping("searchRules")
    @ResponseBody
    public List<RulesVO> queryRules(@RequestBody RulesVO rulesVO) {
        return rulesService.queryAllRules(rulesVO);
    }

    @RequestMapping("addRule")
    @ResponseBody
    public void addRule(@RequestBody RulesVO rulesVO) {
        rulesService.addRule(rulesVO);
    }

    @RequestMapping("deleteRule")
    @ResponseBody
    public void deleteRule(@RequestBody RulesVO rulesVO) {
        rulesService.deleteRuleById(rulesVO);
    }
    @RequestMapping("editRule")
    @ResponseBody
    public void editRule(@RequestBody RulesVO rulesVO) {
        rulesService.updateRule(rulesVO);
    }
    @RequestMapping("RuleInfo")
    public RulesVO RuleInfo(RulesVO rulesVO) {
        return rulesService.queryRulesById(rulesVO);
    }
}
